<?php
// $Id: formpassword.php,v 1.1 2004/07/11 10:27:19 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

if (!defined("EXOOPS_XOOPSFORMPASSWORD_INCLUDED")) {
	define("EXOOPS_XOOPSFORMPASSWORD_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopsform/formelement.php");

class XoopsFormPassword extends XoopsFormElement {

	var $size;
	var $maxlength;
	var $value;

	function XoopsFormPassword($caption, $name, $size, $maxlength, $value="") {
		$this->setCaption($caption);
		$this->setName($name);
		$this->size      = intval($size);
		$this->maxlength = intval($maxlength);
		$this->value     = $value;
	}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getSize() {
	return $this->size;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getMaxlength() {
	return $this->maxlength;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getValue() {
	return $this->value;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function render() {
	return "<input type='password' class='text' name='".$this->getName()."' id='".$this->getName()."' size='".$this->getSize()."' maxlength='".$this->getMaxlength()."' value='".$this->getValue()."'".$this->getExtra()." />";
}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
